%global srcname simplesat

Name:           python-%{srcname}
Version:        0.8.2
Release:        1%{?dist}
Summary:        Simple SAT solvers

License:        BSD
URL:            https://github.com/enthought/sat-solvers
Source0:        https://files.pythonhosted.org/packages/source/s/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%description
Simple SAT solvers for use in Enstaller.

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname}
Simple SAT solvers for use in Enstaller.


%prep
%autosetup -n %{srcname}-%{version}


%build
%{__python3} setup.py build


%install
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
#%{__python3} setup.py test


%files -n python3-%{srcname}
# license available in github sources
#%license LICENSE
%doc README.rst
%{python3_sitelib}/*


%changelog
* Fri Apr 17 2020 Dan Horák <dan@danny.cz> - 0.8.2-1
- updated to 0.8.2

* Fri Aug 23 2019 Dan Horák <dan@danny.cz> - 0.8.1-1
- initial Fedora version
